<?php

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Migrations\Migration;

return new class extends Migration {
    public function up(): void
    {
        DB::statement("
            ALTER TABLE users 
            MODIFY role ENUM(
                'developer',
                'owner',
                'spv',
                'designer',
                'kasir',
                'operator',
                'administrasi'
            ) NOT NULL
        ");
    }

    public function down(): void
    {
        DB::statement("
            ALTER TABLE users 
            MODIFY role ENUM(
                'developer',
                'owner',
                'spv',
                'designer',
                'kasir',
                'operator'
            ) NOT NULL
        ");
    }
};